getShipmentFiles
READGet shipment files.
POST /api/v1/inventory/getShipmentFiles
curl -X POST '<your-host>/api/v1/inventory/getShipmentFiles' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"lineIds": []
}'Response
{
"results": [
{
"name": "string",
"bucket_id": "string",
"owner": "string",
"id": "string",
"updated_at": "string",
"created_at": "string",
"last_accessed_at": "string",
"metadata": {
"…": "…"
},
"buckets": {
"id": "string",
"type": "STANDARD",
"name": "string",
"owner": "string",
"file_size_limit": 0,
"allowed_mime_types": [
"string"
],
"created_at": "string",
"updated_at": "string",
"public": true
},
"bucket": "string",
"itemId": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"lineIds": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"lineIds"
]
}